# Standards: 0.11
---

# 13.8 Check User Dot File Permissions 

- name: 13.8 - Audit users' home directories permissions
  script: "{{ role_path }}/files/audit_13.8.sh"
  always_run: yes
  changed_when: False
  register: audit_13_8
  tags:
    - level-1
    - section-13
    - "13.8"
    - scored

- name: 13.8 - Check User Dot File Permissions 
  fail:
    msg: "*** ACTION REQUIRED *** {{ audit_13_8.stdout_lines }}"
  when:
    - audit_13_8.stdout_lines is defined and audit_13_8.stdout_lines|length > 0
    - fail_on_manual_remediation_actions
  tags:
    - level-1
    - section-13
    - "13.8"
    - scored

- name: 13.8 - Check User Dot File Permissions 
  debug:
    msg: "*** ACTION REQUIRED *** {{ audit_13_8.stdout }}"
  when:
    - audit_13_8.stdout_lines is defined and audit_13_8.stdout_lines|length > 0
    - not fail_on_manual_remediation_actions
  tags:
    - level-1
    - section-13
    - "13.8"
    - scored